WorkflowDocsPresenter (gCube Workflow Documents Manager Portlet 2.1.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wfdocviewer.client.presenter
Class WorkflowDocsPresenter

    java.lang.Object
      org.gcube.portlets.admin.wfdocviewer.client.presenter.WorkflowDocsPresenter

All Implemented Interfaces:
  Presenter

    public class WorkflowDocsPresenter

extends Object
implements Presenter

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Constructor Summary
`WorkflowDocsPresenter(WorkflowDocServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus, Display view)`

Method Summary
`void` | `bind()`
`void` | `doAddRolesToSelectedStep(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)`
`void` | `doInstanciateNewWorkflow(String reportid, String reportName)`
`void` | `go(com.google.gwt.user.client.ui.HasWidgets container)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkflowDocsPresenter

    public WorkflowDocsPresenter(WorkflowDocServiceAsync rpcService,
                                 com.google.gwt.event.shared.HandlerManager eventBus,
                                 Display view)

Parameters:
  `rpcService` -
  `eventBus` -
  `view` -

Method Detail

### bind

    public void bind()

### go

    public void go(com.google.gwt.user.client.ui.HasWidgets container)

  Specified by:
    `go` in interface `Presenter`

### doInstanciateNewWorkflow

    public void doInstanciateNewWorkflow(String reportid,
                                         String reportName)

  Specified by:
    `doInstanciateNewWorkflow` in interface `Presenter`

### doAddRolesToSelectedStep

    public void doAddRolesToSelectedStep(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)

  Specified by:
    `doAddRolesToSelectedStep` in interface `Presenter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.